| Home | Libraries | People | FAQ | More

##### static_url_base::encoded_origin

(Inherited from `url_view_base`)

Return the origin.

###### Synopsis

    pct_string_view
    encoded_origin() const;

###### Description

If an authority is present, this function returns the scheme and authority portion of the url. Otherwise, an empty string is returned. The returned string may contain percent escapes.

###### Example

    assert( url_view( "http://www.example.com:8080/index.htm?text=none#h1" ).encoded_origin() == "http://www.example.com:8080" );

###### Complexity

Constant.

###### Exception Safety

Throws nothing.

###### See Also

`encoded_resource`, `encoded_target`.